[DRE-commits] [redmine] 30/39: fix redmine-instances
Antonio Terceiro
terceiro at moszumanska.debian.org
Tue Dec 8 12:56:54 UTC 2015
This is an automated email from the git hooks/post-receive script.
terceiro pushed a commit to branch master
in repository redmine.
commit 125d55ce3366056219e6b68c46d29964b4770f5d
Author: Antonio Terceiro <terceiro at debian.org>
Date: Mon Sep 28 20:10:47 2015 -0300
fix redmine-instances
---
debian/patches/0004-Add-multi-tenancy-support.patch | 12 ++++++------
1 file changed, 6 insertions(+), 6 deletions(-)
diff --git a/debian/patches/0004-Add-multi-tenancy-support.patch b/debian/patches/0004-Add-multi-tenancy-support.patch
index 5b58f27..ea75d16 100644
--- a/debian/patches/0004-Add-multi-tenancy-support.patch
+++ b/debian/patches/0004-Add-multi-tenancy-support.patch
@@ -84,7 +84,7 @@ index 8e3d578..9d8363f 100644
after_destroy :delete_from_disk
diff --git a/bin/redmine-instances b/bin/redmine-instances
new file mode 100755
-index 0000000..9b33a88
+index 0000000..5bf3159
--- /dev/null
+++ b/bin/redmine-instances
@@ -0,0 +1,280 @@
@@ -108,14 +108,14 @@ index 0000000..9b33a88
+
+set -eu
+
-+if [ -r /etc/default/redmine ]; then
-+ . /etc/default/redmine
-+fi
-+
+REDMINE_INSTANCES_OWNERSHIP=$(stat -c %U:%G $(dirname $0/..))
+REDMINE_INSTANCES_FOLLOW_FHS=""
+REDMINE_INSTANCES_ROOT="$(readlink -f $(dirname $0)/..)/instances"
+
++if [ -r /etc/default/redmine ]; then
++ . /etc/default/redmine
++fi
++
+usage() {
+ local rc="${1:-0}"
+ local program="$(basename $0)"
@@ -205,7 +205,7 @@ index 0000000..9b33a88
+
+ printf "Are you sure you want to remove instance $instance? There is no going back [y/N] "
+ read confirm
-+ if [ "$comfirm" = 'y' -o "$config" = 'Y' ]; then
++ if [ "$confirm" = 'y' -o "$confirm" = 'Y' ]; then
+ rm -rf "$REDMINE_INSTANCES_ROOT/$instance"
+ else
+ echo "Aborted."
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/redmine.git
More information about the Pkg-ruby-extras-commits
mailing list